Hur man installerar våra LMDE-paket på 3 sekunder

Att dra nytta av senaste artikeln vad skrev jag om mintbackup, Jag vill visa dig tre enkla sätt att installera om de paket vi använder när vi installerar om vårt LMDE.

Egentligen, förutom den första formen, kan de andra användas både i Debian, Som i ubuntu.

Installation på 3 sekunder

Grafiskt.

Det här är så som det mest gillar det, allt grafiskt och utan att behöva röra vid en terminal. I LMDE y linuxmintdet finns en fantastiskt verktyg som heter mintbackup, som vi bland annat kan använda för att spara våra paket och senare installera om dem.

I fallet med LMDE, om vi uppdaterar paketet python-apt till version 0.8.0 kommer vi inte att kunna använda mintbackup på grund av ett beroendeproblem. Följande fel returneras:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Förhoppningsvis killarna från Mint fixa det snart.

Genom terminalen.

Genom konsolen kan vi göra det på två sätt, vilket i slutändan har varit detsamma.

I två steg.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

När vi har tillgång till förvaren och allt är konfigurerat och uppdaterat måste vi bara sätta det här:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

I två steg.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Efter ominstallation utför vi detta:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Och sedan springer vi:

apt-get -u dselect-upgrade

Jag tror att det är onödigt att klargöra att vi måste ha förvaren korrekt konfigurerade .. Enkelt, eller hur?


Innehållet i artikeln följer våra principer om redaktionell etik. Klicka på för att rapportera ett fel här.

8 kommentarer, lämna din

Lämna din kommentar

Din e-postadress kommer inte att publiceras.

*

*

  1. Ansvarig för uppgifterna: Miguel Ángel Gatón
  2. Syftet med uppgifterna: Kontrollera skräppost, kommentarhantering.
  3. Legitimering: Ditt samtycke
  4. Kommunikation av uppgifterna: Uppgifterna kommer inte att kommuniceras till tredje part förutom enligt laglig skyldighet.
  5. Datalagring: databas värd för Occentus Networks (EU)
  6. Rättigheter: När som helst kan du begränsa, återställa och radera din information.

  1.   Mod sade

    Eller så skriver du också ner alla program du hade tidigare och gör

    sudo apt-get -y säljer alla paket som har tagits bort

    Jag vet verkligen inte om LMDE har samma mål som Linux MInt, att vara ur lådan

    1.    Mod sade

      * Installera

  2.   Hokasito sade

    Även om det är lite "off-topic", ville jag varna att släppkandidaterna har kommit ut i Linux Mint Debian 201108 för GNOME och XFCE. Jag hoppas att en hel del förbättringar har gjorts ... 🙂

    1.    elav <° Linux sade

      Tja, ja, vad händer när denna utmärkta nyhet publicerades, vi var offline ... Tack.

  3.   mitcoes sade

    Jag upptäckte just dig och TACK.
    Igår installerade jag 64-bitars LMDE, och jag klarar mig bra, men jag har 2 små saker att upptäcka-

    1– Logga in som rot i grafiskt läge

    2. - Ställ in VLC som standard videospelare

    Jag tror att jag skulle få det från den önskade applikationens kontrollpanel eller genom att öppna med en annan applikation / använda den här applikationen som standard. Inloggad som root.

    Jag har gjort sudo nautilus för alla fall och ingenting alls.

    PS1: I 64 bitar om abckupen av paketen fungerar bra.
    PS2: Jag måste också installera MAME SDL och den senaste wine64 som jag vill ha en ppa för, eftersom konfigurering av program senare inte uppdaterar dem automatiskt.
    PS3: Jag använder AMD-betadrivrutinen AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, för att se geolokaliserade serier i Firefox, Chrome - som måste installeras -, Firefox Flash-hjälp med 64-bitars Flash, Zindus, Qbittorrent, Opera, aletras.oxt-tillägget och mottagningsskriptet för att kontrollera överskottet av RAM-cache för uppgiften som också förtjänar en kommentar från dig.

    Jag ser fram emot den femte delen av handledningen med dessa och / eller andra förslag

  4.   Comecon sade

    Hej!
    En sak, vi bör ändra den första länken som skickar MintBackup-artikeln till den här: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Jag vet inte varför, den länkar till en underkatalog "/ wp-content / themes" ...

    1.    KZKG ^ Gaara sade

      Klar, korrigerad 😉

  5.   Nahum sade

    Hej, sedan den tidigare versionen av LMDE amd64 har jag haft problem med trasiga paket och fel när jag laddar förvar, jag har provat många lösningar och ingen av dem fungerar ... Jag vet inte vad jag ska göra längre, jag ville installera Gnome-shell och det lät mig inte eftersom paketet är trasigt. Jag såg hur man löser de trasiga paketen med kommandon som: sudo dpkg –purge –force-remove-reinstreq

    och jag får följande fel:

    dpkg: error: –purge kräver minst ett paketnamn som parameter

    Skriv dpkg –hjälp för att installera och avinstallera paket [*];
    Använd 'dselect' eller 'aptitude' för mer vänlig pakethantering;
    Skriv dpkg -Hjälp för en lista med dpkg-felsökningsinställningar;
    Skriv dpkg –force-help för en lista med alternativ för att tvinga saker;
    Skriv dpkg-deb –hjälp för hjälp med att manipulera .deb-filer;

    Alternativ markerade med [*] ger långa resultat,
    Filtrera det med "mindre" eller med "mer"!

    om någon kan hjälpa mig med det här 🙂